Create organization member
curl --request POST \
--url {schemes}://api.upsun.com/organizations/{organization_id}/members \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"permissions": []
}
'import requests
url = "{schemes}://api.upsun.com/organizations/{organization_id}/members"
payload = {
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"permissions": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({user_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', permissions: []})
};
fetch('{schemes}://api.upsun.com/organizations/{organization_id}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "<string>",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"permissions": [],
"owner": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"_links": {
"self": {
"href": "<string>"
},
"update": {
"href": "<string>",
"method": "<string>"
},
"delete": {
"href": "<string>",
"method": "<string>"
}
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Organization Members
Create organization member
Creates a new organization member.
POST
/
organizations
/
{organization_id}
/
members
Create organization member
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the organization.
Body
application/json
Response
Created
The ID of the user.
The ID of the organization.
The ID of the user.
The organization member permissions.
Available options:
admin, billing, members, plans, projects:create, projects:list Access level of the member.
Available options:
admin, viewer Whether the member is the organization owner.
The date and time when the member was created.
The date and time when the member was last updated.
Show child attributes
Show child attributes
Last modified on June 16, 2026
Was this page helpful?
⌘I